Get All Order Types

Returns a paginated list of the order types defined for a location.

Request Headers

HeaderRequiredDescription
AuthorizationYesBearer YOUR_ACCESS_TOKEN

Request Parameters

Path Parameters:

ParameterTypeRequiredDescription
location_idintegerYesLocation whose order types are listed.

Query Parameters:

ParameterTypeRequiredDescription
statusintegerNoFilter by status (1 = active).
user_idintegerYesThe acting user.
limitintegerNoPage size.
paginatestringNoPagination mode.
pageintegerNoPage number.
global_on_idintegerNoOriginating channel identifier.

cURL Example

curl --request GET \
  --url "https://sandbox-api.softpoint.io/interface/v1/locations/3000324/order_types?status=1&user_id=1&limit=10&paginate=data&page=1&global_on_id=2" \
  --header "Authorization: Bearer YOUR_ACCESS_TOKEN"

Success Response

{
  "order_type": {
    "current_page": 1,
    "data": [
      { "id": 2054, "id_external": "100", "default": 1, "pos_id": 100, "status": 1, "name": "PICKUP" },
      { "id": 2055, "id_external": "101", "default": 0, "pos_id": 101, "status": 1, "name": "DELIVERY" }
    ],
    "per_page": 10,
    "total": 2
  }
}

Response Fields

FieldTypeDescription
order_typeobjectPaginator wrapper.
order_type.dataarrayOrder-type records.
data[].idintegerInternal order-type ID.
data[].id_externalstringExternal/POS ID.
data[].pos_idintegerPOS-side identifier.
data[].defaultinteger1 if this is the default order type.
data[].statusintegerStatus.
data[].namestringOrder-type name.

Status Codes

CodeDescription
200Order types returned
401Token missing or invalid

Workflow Placement

A reference read used to resolve order-type IDs before checkout.

Notes

  • The paginator is nested under an order_type key.

Common Mistakes

  • Reading data at the top level instead of under order_type.
Query Params
integer
integer
integer
string
integer
integer
Headers
string
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain